%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gtest
Summary:	Google's framework for writing C++ tests
Version:	1.7.0
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://code.google.com/p/googletest/
Source0:	http://googletest.googlecode.com/files/%{name}-%{version}.tar.xz
Patch0:		gtest-1.6.0-soname.patch
BuildRequires:	python
BuildRequires:	cmake

%description
Google's framework for writing C++ tests on a variety of platforms 
(Linux, Mac OS X, Windows, Cygwin, Windows CE, and Symbian). Based 
on the xUnit architecture. Supports automatic test discovery, a rich 
set of assertions, user-defined assertions, death tests, fatal and 
non-fatal failures, value- and type-parameterized tests, various 
options for running the tests, and XML test report generation.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Google's framework for writing C++ tests on a variety of platforms
(Linux, Mac OS X, Windows, Cygwin, Windows CE, and Symbian). Based
on the xUnit architecture. Supports automatic test discovery, a rich
set of assertions, user-defined assertions, death tests, fatal and
non-fatal failures, value- and type-parameterized tests, various
options for running the tests, and XML test report generation.

This package contains the shared %{name} libraries.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x

%cmake \
	-Dgtest_build_samples=ON \
	-DGTEST_CREATE_SHARED_LIBRARY=1 \
	-DGTEST_LINKED_AS_SHARED_LIBRARY=1
%make

%install
rm -rf %buildroot

#dirs
install -d %{buildroot}%{_bindir}
install	-d %{buildroot}%{_datadir}/aclocal
install	-d %{buildroot}%{_datadir}/aclocal
install	-d %{buildroot}%{_includedir}/%{name}/internal
install	-d %{buildroot}%{_libdir}
install -d %{buildroot}%{_usrsrc}/gtest/src

#libs
install -Dpm0755 build/*.so.* %{buildroot}%{_libdir}/
pushd %{buildroot}%{_libdir}
	ln -sf libgtest.so.*.* %{buildroot}%{_libdir}/libgtest.so
        ln -sf libgtest.so.*.* %{buildroot}%{_libdir}/libgtest.so.%{major}
	ln -sf libgtest_main.so.*.* %{buildroot}%{_libdir}/libgtest_main.so
        ln -sf libgtest_main.so.*.* %{buildroot}%{_libdir}/libgtest_main.so.%{major}
popd

#headers etc
install -p -m 0755 scripts/gtest-config %{buildroot}%{_bindir}
install -p -m 0644 include/gtest/*.h %{buildroot}%{_includedir}/gtest/
install -p -m 0644 include/gtest/internal/*.h %{buildroot}%{_includedir}/gtest/internal/
install -p -m 0644 m4/gtest.m4 %{buildroot}%{_datadir}/aclocal/
install -p -m 0644 src/* %{buildroot}%{_usrsrc}/gtest/src/

%check
%make test

%files -n %{libname}
%defattr(-, root, root)
%doc README CHANGES CONTRIBUTORS
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{develname}
%defattr(-, root, root)
%doc samples
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}
%{_datadir}/aclocal/%{name}.m4
%{_usrsrc}/%{name}

%clean
rm -rf %buildroot


%changelog
* Sat Nov 24 2018 adrianomorselli <adrianomorselli> 1.7.0-2uplos2018
- rebuild with new gcc
